nagstamon (3.4.1) stable; urgency=low
  * New upstream
   - Centreon fix for acknowledgement when using autologin key
   - IcingaWeb2 fix support older setups
   - fix popup in systray mode on Windows
   - improved mode switching
   - better support for high resolution displays
   - build support for Python 3.8
   - improved Windows installer

 -- Henri Wahl <h.wahl@ifw-dresden.de> Mon, 27 Jan 2020 10:00:00 +0100

nagstamon (3.4) stable; urgency=low
  * New upstream
    - added multiple item selection and actions execution
    - added notification for OK state
    - added darkmode for macOS
    - added option to copy service to clipboard
    - added support for custom CA cert for Sensu/Uchiwa
    - added support for IcingaWeb2 expire time
    - added server encoding detection
    - updated components
    - fixed crash when selecting downtime on down host
    - fixed settings filenames troubles by url-encoding them
    - fixed pyinstaller onefile issues on macOS
    - fixed Kerberos issues on macOS
    - fixed Cinnamon systray/popup issue
    - Centreon fixes
    - Checkmk fixes
    - IcingaWeb2 fixes
    - Monitos4x fixes
    - op5Monitor fixes
    - Sensu fixes

-- Henri Wahl <h.wahl@ifw-dresden.de> Fri, 20 Dec 2019 10:00:00 +0100

nagstamon (3.2.1) stable; urgency=low
  * New upstream
    - fixed macOS system tray icon crash

-- Henri Wahl <h.wahl@ifw-dresden.de> Mon, 7 Jan 2019 10:00:00 +0100

nagstamon (3.2) stable; urgency=low
  * New upstream
    - new Zabbix backend
    - added Sensu/Uchiwa changes
    - fixed Opsview/Nagios duration counter
    - fixed Centreon new versions
    - fixed non-closing floating statusbar
    - fixed certain custom notification action bugs
    - fixed certain keyring bugs
    - fixed macOS Retina support

 -- Henri Wahl <h.wahl@ifw-dresden.de> Wed, 19 Dec 2018 22:00:00 +0100

nagstamon (3.0.1) stable; urgency=low
  * New upstream
   - fixes for Zabbix
   - fixed filters for Op5
   - fixes for update detection and self-signed certificates

 -- Henri Wahl <h.wahl@ifw-dresden.de> Tue, 19 Sep 2017 16:00:00 +0200

nagstamon (3.0) stable; urgency=low
  * New upstream
   - added Kerberos authentification
   - added increased security by taking TLS seriously
   - added window mode
   - added large OK label for fullscreen and window mode
   - added click-somewhere-to-close-statuswindow mode
   - added custom views to Check_MK
   - added monitor type Monitos3
   - added monitor type SNAG-View 3
   - added monitor type Sensu
   - fixes statuswindow garbage when changing mode
   - fixed filename bug
   - fixed check for .Xauthority file
   - fixes for Centreon
   - fixes for Check_MK 1.4.0
   - fixes for Zabbix
   - switched to pyinstaller

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Wed, 13 Sep 2017 16:00:00 +0200

nagstamon (2.0.1) stable; urgency=low
  * New upstream
   - Major Centreon bug making it useless
   - Icinga version check fix
   - Thruk login fix
   - EWMH initialization change
   - Systrayicon left mouse click without context menu
   - DBus crash workaround

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Thu, 20 Oct 2016 08:00:00 +0200
 
nagstamon (2.0) stable; urgency=low
  * New upstream
   - Based on Qt 5 it now comes with a better integrated look-and-feel – especially remarkable on MacOS
   - Partly simplified design
   - Less clutter in setting dialogs
   - Runs on latest Windows and MacOS
   - Uses QT 5 multimedia which means native sound on Linux and MacOS
   - Uses only SVG graphics – allows changing colors even in systray icon
   - Customizable font and font size
   - Adjust to dark or light desktop theme
   - Action allowing to copy host/service information to clipboard
   - Added ‘Archive Event’ action for Check_MK monitors
   - Additionally supports IcingaWeb2
   - Updated Opsview and Centreon to support latest monitor server versions
   - Experimental support for Livestatus and Zenoss
   - New build script based on cx-Freeze for Windows and MacOS
   - Native 64 bit version for Windows
   - No or less memory leaks, especially in Windows
   - Make sure only one instance per config is running

-- Henri Wahl <h.wahl@ifw-dresden.de> Mon, 29 Aug 2016 16:00:00 +0200

nagstamon (1.0.1) stable; urgency=low

  * New upstream
   - added option to disable system keyring storage to prevent crashes
   - reverted default sorting order to "Descending"
   - fixed too narrow fullscreen display
   - fixed vanishing Nagstamon submenu in Ubuntu Appindicator

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Mon, 22 Sep 2014 9:00:00 +0200

nagstamon (1.0) stable; urgency=low

  * New upstream
   - added custom event notification with custom commands
   - added highlighting of new events
   - added storage of passwords in OS keyring
   - added optional tooltip for full status information
   - added support for applying custom actions to specific monitor only
   - added copy buttons for servers and actions dialogs
   - added stopping notification if event already vanished
   - added support for Op5Monitor 6.3 instead of Ninja
   - added experimental Zabbix support
   - added automatic refreshing after acknowledging
   - added permanent hamburger menu
   - unified layout of dialogs
   - various Check_MK improvements
   - fixed old regression not-staying-on-top-bug
   - fixed Check_MK-Recheck-DOS-bug
   - fixed pop window size calculation on multiple screens
   - fixed following popup window on multiple screens
   - fixed hiding dialogs in MacOSX
   - fixed ugly statusbar font in MacOSX
   - fixed use of changed colors
   - fixed non-ascending default sort order
   - fixed Opsview downtime dialog
   - fixed sometimes not working context menu
   - fixed some GUI glitches
   - fixed password saving bug
   - fixed Centreon language inconsistencies
   - fixed regression Umlaut bug

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Mon, 28 Jul 2014 09:30:00 +0200

nagstamon (1.0rc2) unstable; urgency=low

  * New upstream
   - added automatic refreshing after acknowledging
   - added permanent hamburger menu
   - unified layout of dialogs
   - fixed some GUI glitches
   - fixed password saving bug
   - fixed Centreon language inconsistencies
   - fixed regression Umlaut bug

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Tue, 08 Jul 2014 11:00:00 +0200

nagstamon (1.0rc1) unstable; urgency=low

  * New upstream
   - added custom event notification with custom commands
   - added highlighting of new events
   - added storage of passwords in OS keyring
   - added optional tooltip for full status information
   - added support for applying custom actions to specific monitor only
   - added copy buttons for servers and actions dialogs
   - added stopping notification if event already vanished
   - added support for Op5Monitor 6.3 instead of Ninja
   - added experimental Zabbix support
   - fixed old regression not-staying-on-top-bug
   - fixed Check_MK-Recheck-DOS-bug
   - fixed pop window size calculation on multiple screens
   - fixed following popup window on multiple screens
   - fixed hiding dialogs in MacOSX
   - fixed ugly statusbar font in MacOSX
   - fixed use of changed colors
   - fixed non-ascending default sort order
   - fixed Opsview downtime dialog
   - fixed sometimes not working context menu
   - various Check_MK improvements

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Tue, 24 Jun 2014 11:00:00 +0200

nagstamon (0.9.11) stable; urgency=low

  * New upstream
    - added Ubuntu AppIndicator support
    - added libnotify desktop notification support
    - added Centreon criticality support
    - fixed broken authentication dialog
    - fixed wrong OK state for Nagios and Icinga
    - fixed Correct-Statusbar-Position-O-Matic
    - fixed some Thruk issues
    - fixed popup resizing artefact
    - fixed some server edit dialog bugs
    - fixed missing auth field in Icinga when credentials are wrong
    - fixed quoting URLs for browser actions

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Wed, 11 Sep 2013 09:00:00 +0200

nagstamon (0.9.11rc1) unstable; urgency=low

  * New upstream
    - added Ubuntu AppIndicator support
    - added libnotify desktop notification support
    - added Centreon criticality support
    - fixed broken authentication dialog
    - fixed wrong OK state for Nagios and Icinga
    - fixed Correct-Statusbar-Position-O-Matic
    - fixed some Thruk issues
    - fixed popup resizing artefact
    - fixed some server edit dialog bugs
    - fixed missing auth field in Icinga when credentials are wrong

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Mon, 29 Jul 2013 10:35:00 +0200

nagstamon (0.9.10) stable; urgency=low

  * New upstream
    - added fullscreen option
    - added Thruk support
    - added Check_MK cookie-based auth
    - added new Centreon autologin option
    - added configurable default sort order
    - added filter for hosts in hard/soft state for Nagios, Icinga, Opsview and Centreon
    - added $STATUS-INFO$ variable for custom actions
    - added audio alarms also in fullscreen mode
    - improved update interval set in seconds instead minutes
    - improved Icinga JSON support
    - improved Centreon 2.4 xml/broker support
    - improved Nagios 3.4 pagination support
    - improved nicer GTK theme Murrine on MacOSX
    - fixed security bug
    - fixed some memory leaks
    - fixed superfluous passive icon for Check_MK
    - fixed blocking of shutdown/reboot on MacOSX
    - fixed saving converted pre 0.9.9 config immediately
    - fixed statusbar position when offscreen
    - fixed some GUI issues
    - fixed update detection

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Wed, 11 Jul 2013 11:07:13 +0200

nagstamon (0.9.10rc2) unstable; urgency=low

  * New upstream
    - audio alarms also in fullscreen mode
    - adjust x0 y0 position of statusbar when offscreen
    - save converted pre 0.9.9 config immediately

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Tue, 09 Jul 2013 14:25:00 +0200

nagstamon (0.9.10rc1) unstable; urgency=low

  * New upstream
    - added fullscreen option
    - added Thruk support
    - added Check_MK cookie-based auth
    - added new Centreon autologin option
    - added configurable default sort order
    - added filter for hosts in hard/soft state for Nagios, Icinga, Opsview and Centreon
    - added $STATUS-INFO$ variable for custom actions
    - update interval set in seconds instead minutes
    - improved Icinga JSON support
    - improved Centreon 2.4 xml/broker support
    - improved Nagios 3.4 pagination support
    - uses nicer GTK theme Murrine on MacOSX
    - fixed some memory leaks
    - fixed superfluous passive icon for Check_MK
    - fixed blocking of shutdown/reboot on MacOSX
    - fixed some GUI issues
    - fixed update detection

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Wed, 03 Jul 2013 10:25:00 +0200

nagstamon (0.9.9.1-1) stable; urgency=low

  * New upstream
    - added custom actions in context menu
    - added reauthentication in case of authenticaton problems
    - changed configuration file to configuration directory (default:
      ~/.nagstamon)
    - added filter for flapping hosts and services
    - added history button for monitors
    - added shortcut to filter settings in popup window
    - improved keyboard usage in acknowledge/downtime/submit dialogs
    - fixed bug in Icinga acknowledgement
    - fixed bug in Check_MK Multisite sorting
    - fixed some Check_MK Multisite UTF trouble
    - fixed some GUI artefacts when resizing popup window

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Fri, 13 Apr 2012 11:25:00 +0200

nagstamon (0.9.8.1-1) stable; urgency=low

  * New upstream
    - added customizable acknowledge/downtime/submit-result defaults
    - added regexp filter for status information column
    - added option to connect to hosts via its monitor hostname without HTTP overhead
    - added ability to keep status detail popup open despite hovering away
    - added option to change offset between popup window and systray icon to avoid partly hidden popup
    - fixed some popup artefacts
    - fixed various bugs with acknowledgement flags (persistent/sticky/notification), now they are actually working
    - fixed some issues when running on MacOS X

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Wed, 10 Oct 2011 14:49:00 +0200

nagstamon (0.9.7.1-1) stable; urgency=low

  * New upstream
    - hot fix for broken Centreon support - sf.net bug 3309166

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Fri, 30 May 2011 12:01:00 +0200

nagstamon (0.9.7-1) stable; urgency=low

  * New upstream
    - on some servers now context menu allows submitting check results for hosts and services
    - added filter for services on acknowledged hosts
    - added icons for "passiveonly" and "flapping" hosts and services
    - fix for uneditable text entry fields in settings dialog - sf.net bug 3300873
    - fix for not working filter "services on hosts in maintenance" - sf.net bug 3299790
    - fix for soft state detection in Centreon - sf.net bug 3303861
    - fix for not filtered services which should have been filtered - sf.net bug 3308008

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Fri, 27 May 2011 16:01:00 +0200

nagstamon (0.9.6.1-1) stable; urgency=low

  * fix for sf.net bug 3298321 - displaying error when all is OK

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Fri, 06 May 2011 16:01:00 +0200

nagstamon (0.9.6-1) stable; urgency=low
  
  * New upstreeam release 
    - improved, full Ninja support
    - rewritten filtering mechanism allows new features
    - displaying icons in status overview popup indicating states "acknowledged" and "scheduled downtime"
    - added option to play notification sounds more than once
    - small UI improvements
    - uses BeautifulSoup instead of lxml
    - uses GTK UI Builder instead of glade
    - as always: bugfixes

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Fri, 06 May 2011 16:01:00 +0200

nagstamon (0.9.5-1) stable; urgency=low
 
  * New upstream release
    - added op5 Ninja support
    - added Check_MK Multisite support
    - improved Icinga support (compatibility with Icinga 1.3)
    - improved Centreon support (compatible with Centreon 2.1)
    - added sortable columns in status overview
    - added customizable colors
    - better debugging and error messages
    - password must not be stored in config file
    - major memory leak closed, various bugs fixed

 -- Henri Wahl <h.wahl@ifw-dresden.de>  Tue, 05 Apr 2011 13:23:00 +0200

nagstamon (0.9.4-1) stable; urgency=low

  * New upstream release (Closes: #582977)
  * removed debian/manpages
  * renamed debian/nagstamon.install to debian/install 
  * debian/patches
    - removed settings_glade
    - removed setup_patch

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 19 Jun 2010 12:46:42 +0200

nagstamon (0.9.3-2) stable; urgency=low

  * debian/patches/default_search
    - disable the default search for newer versions (Closes: #585928) 
  * debian/patches/series
    - added default_search

 -- Carl Chenet <chaica@ohmytux.com>  Tue, 15 Jun 2010 00:41:22 +0200

nagstamon (0.9.3-1) stable; urgency=low

  * New upstream release 
  * Switching to 3.0 source format
  * debian/patches
    - added settings_glade patch to close #2998035 upstream bug
    - added setup_patch to remove an absolute link for the upstream
      manpage
  * debian/control
    - added quilt in Build-Depends
    - added the support of Opsview servers in the long description 
  * debian/nagstamon.manpages
    - switched to the file provided by the upstream
  * debian/nagstamon.desktop
    - commenting the OnlyShowIn directive

 -- Carl Chenet <chaica@ohmytux.com>  Sun, 23 May 2010 12:47:11 +0200

nagstamon (0.9.2-2) stable; urgency=low

  * debian/control
    - Added a mandatory runtime missing dependency python-pkg-resources.
    - Fixed a typo in the long message.

 -- Carl Chenet <chaica@ohmytux.com>  Wed, 24 Mar 2010 23:18:21 +0100

nagstamon (0.9.2-1) stable; urgency=low

  * Initial release. (Closes: #534842)

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 22 Feb 2010 14:16:44 +0100
